/* ========================================
 *
 *
 * ========================================
*/


#ifndef `$INSTANCE_NAME`_SINE10_H
#define `$INSTANCE_NAME`_SINE10_H
    
    
//#include <project.h>
#include <cytypes.h> // uint8


//#define MYSINE_TABLE_SIZE 1024


//#define mysine sine_A1023_N1023_signed
//#define mysine sine_A1023_N1023_unsigned
#define mysine sine_A1024_N1023_HS_signed

//#define mysine sine_A1024_N1024_signed
//#define mysine sine_A1024_N2048_signed 
    

// half-step    
//#define mysine sine_A1024_N1023_HS_signed //half-step



int16_t sine_A1023_N1023_signed(uint16_t THETA);  // signed amplitude -1..0..1 (-1023..0..1023, 0-1023 points)
uint16_t sine_A1023_N1023_unsigned(uint16_t THETA);  // unsigned amplitude 0..2047, 0-1023 points)

int16_t sine_A1024_N1024_signed(uint16_t THETA);  // signed amplitude (-1024..0..1024, 0-1023 points)
int16_t sine_A1024_N2048_signed(uint16_t THETA);   // signed amplitude (-1024..0..1024, 0-2047 points)

//half-step->
int16_t sine_A1024_N1023_HS_signed(uint16_t THETA); 


#endif /* `$INSTANCE_NAME`_SINE10_H */

/* [] END OF FILE */
